//funcion para insertar los datos
function validar(){
    event.preventDefault(); 
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            var msg = xhttp.responseText;
            if (msg == 'success') {
                $.confirm({
                  title: 'Guardado',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                          $('#form').trigger('reset'); 
                      },
                  }

              });                
            } else {
                if (msg == 'existe operacion') {
                    $.alert({
                            title: 'El Programa ya fue Programado!',
                            content: 'Verificar',
                            theme: 'modern'
                        }); 
                }else{
                    if (msg == 'no existe') {
                       $.alert({
                            title: 'El Programa No Existe!',
                            content: 'Verificar',
                            theme: 'modern'
                        }); 
                    }
                    else{
                        $.alert({
                            title: 'Erro al Guardar!',
                            content: 'Verificar',
                            theme: 'modern'
                        });
                    }
                }
                
                
            }

        }
    };
    xhttp.open("POST", "data/insert_operacion.php", true);
    xhttp.send(data);
    
 };

 
//Hacer busqueda del programa a la base de datos por el input
 $(function() {
    $("#programa").autocomplete({
        source: "data/dataInput.php",
        select: function( event, ui ) {
            event.preventDefault();
            $("#programa").val(ui.item.id);
        }
    });
});